CacheResponse (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.net, class: CacheResponse
Keywords: java.net.CacheResponse class

# Class CacheResponse

java.lang.Object
java.net.CacheResponse

Direct Known Subclasses:
  `SecureCacheResponse`

public abstract class CacheResponse extends Object
Represent channels for retrieving resources from the ResponseCache. Instances of such a class provide an InputStream that returns the entity body, and also a getHeaders() method which returns the associated response headers.

Since:
  1.5

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CacheResponse()`
  Constructor for subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract InputStream`
  `getBody()`
  Returns the response body as an InputStream.
  `abstract Map<String, List<String>>`
  `getHeaders()`
  Returns the response headers as a Map.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### CacheResponse

    public CacheResponse()
    Constructor for subclasses to call.

- ## Method Details

  - ### getHeaders

    public abstract Map<String, List<String>> getHeaders() throws IOException
    Returns the response headers as a Map.
    Returns:
      An immutable Map from response header field names to lists of field values. The status line has null as its field name.
    Throws:
      `IOException` - if an I/O error occurs while getting the response headers

  - ### getBody

    public abstract InputStream getBody() throws IOException
    Returns the response body as an InputStream.
    Returns:
      an InputStream from which the response body can be accessed
    Throws:
      `IOException` - if an I/O error occurs while getting the response body